#-------------------------------------------------
#
# Project created by QtCreator 2021-07-16T13:58:22
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = apptest
TEMPLATE = app

CONFIG += c++11
# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
    deepstream_app.cpp \
    deepstream_app_config_parser.cpp \
    deepstream_app_main.cpp \
    main.cpp \
    mainwindow.cpp \
    deepstream_tracker_bin.c \
    deepstream_tiled_display_bin.c \
    deepstream_streammux.c \
    deepstream_source_bin.c \
    deepstream_sink_bin.c \
    deepstream_secondary_gie_bin.c \
    deepstream_primary_gie_bin.c \
    deepstream_perf.c \
    deepstream_osd_bin.c \
    deepstream_dsexample.c \
    deepstream_dsanalytics.c \
    deepstream_dewarper_bin.c \
    deepstream_config_file_parser.c \
    deepstream_common.c \
    deepstream_c2d_msg_util.c \
    deepstream_c2d_msg.c \
    deepstream_audio_classifier_bin.c


HEADERS += \
    deepstream_app.h \
    deepstream_app.h \
    mainwindow.h \
    videothread.h

FORMS += \
        mainwindow.ui


INCLUDEPATH +=/usr/include/gstreamer-1.0/ \
              /usr/include/glib-2.0 \
              /usr/lib/x86_64-linux-gnu/glib-2.0/include \
              /opt/nvidia/deepstream/deepstream-5.1/sources/apps/apps-common/includes \
              /opt/nvidia/deepstream/deepstream-5.1/sources/includes \
              maxtron_cap/include/  \
              /usr/include/json-glib-1.0  \
              /usr/local/cuda-11.1/include  \
              /usr/local/include/opencv4/opencv     \
              /usr/local/include/opencv4 \


#LIBS += -L/home/js/endoscopy_AI_VAI-D100/EndosAssist/opt/nvidia/deepstream/deepstream-5.0/lib/ \
LIBS += -L/opt/nvidia/deepstream/deepstream-5.1/lib/ \
        -lnvds_inferutils \
        -liothub_client   \
        -lnvbuf_fdmap   \
        -lnvds_logger \
        -lnvbufsurface   \
        -lnvds_meta \
        -lnvbufsurftransform   \
   #     -lnvds_mot_iou \
   #     -lnvds_amqp_proto  \
   #     -lnvds_mot_klt \
        -lnvds_azure_edge_proto  \
        -lnvds_msgbroker \
    #    -lnvds_azure_proto  \
        -lnvds_msgconv \
  #      -lnvds_batch_jpegenc  \
#        -lnvds_nvdcf \
        -lnvdsbufferpool \
        -lnvds_nvtxhelper \
        -lnvds_csvparser \
        -lnvds_opticalflow_dgpu \
        -lnvds_dewarper \
        -lnvds_osd \
        -lnvds_dsanalytics  \
        -lnvds_tracker \
        -lnvdsgst_bufferpool \
        -lnvds_utils \
        -lnvdsgst_helper  \
        -lnvv4l2 \
        -lnvdsgst_meta  \
        -lnvv4lconvert \
        -lnvdsgst_smartrecord    \
        -lnvds_infercustomparser  \
        -lnvds_infer_server




LIBS += -L/usr/local/lib/ \
        -lopencv_dnn  \
        ####-lopencv_gapi  \
        -lopencv_highgui  \
        -lopencv_ml     \
        -lopencv_objdetect  \
        -lopencv_photo   \
        -lopencv_stitching  \
        -lopencv_video   \
        -lopencv_calib3d  \
        -lopencv_features2d  \
        -lopencv_flann   \
        -lopencv_videoio   \
        -lopencv_calib3d   \
        -lopencv_features2d   \
        -lopencv_flann  \
        -lopencv_videoio   \
        -lopencv_imgcodecs  \
        -lopencv_imgproc  \
        -lopencv_core




LIBS += -L/home/js/endoscopy_AI/EndosAssist/opt/nvidia/deepstream/deepstream-5.1/lib/gst-plugins \
        -lgstnvvideoconvert \
        -lnvdsgst_dewarper \
        -lnvdsgst_dsexample \
        -lnvdsgst_infer \
        -lnvdsgst_msgbroker \
        -lnvdsgst_msgconv \
        -lnvdsgst_multistream \
        -lnvdsgst_multistreamtiler \
        -lnvdsgst_of \
        -lnvdsgst_ofvisual \
        -lnvdsgst_osd \
        -lnvdsgst_segvisual \
        -lnvdsgst_tracker

INCLUDEPATH += /home/js/endoscopy_AI/EndosAssist/opt/nvidia/deepstream/deepstream-5.1/lib/gst-plugins
DEPENDPATH +=  /home/js/endoscopy_AI/EndosAssist/opt/nvidia/deepstream/deepstream-5.1/lib/gst-plugins

unix:!macx: LIBS += -L/usr/lib/x86_64-linux-gnu/ -lglib-2.0

INCLUDEPATH += /usr/lib/x86_64-linux-gnu/
DEPENDPATH += /usr/lib/x86_64-linux-gnu/

LIBS += -L/usr/lib/x86_64-linux-gnu/ \
        -lgstreamer-1.0 \
        -lgobject-2.0 \
        -lgstrtspserver-1.0 \
        -lgstrtp-1.0 \
        #-lsrtp2 \
        -lgstvideo-1.0 \
        -ljson-glib-1.0

LIBS += -L/usr/lib/x86_64-linux-gnu/gstreamer-1.0 \
        -lgstdvbsuboverlay \
        -lgstfaceoverlay \
        -lgstrtp \
        -lgstdvbsuboverlay \
        -lgstvideotestsrc

LIBS += -L/usr/lib/x86_64-linux-gnu/gstreamer-1.0/deepstream \
        -lgstnvvideoconvert \
        -L/usr/local/cuda-11.1/lib64/ -lcudart -ldl
LIBS += -lasound -lmysqlclient -ldl

unix:!macx: LIBS += -L$$PWD/Aitalk/libs/x64/ -lmsc

INCLUDEPATH += $$PWD/Aitalk/libs/x64
DEPENDPATH += $$PWD/Aitalk/libs/x64

unix:!macx: LIBS += -L$$PWD/Aitalk/libs/x64/ -lw_ivw

INCLUDEPATH += $$PWD/Aitalk/libs/x64
DEPENDPATH += $$PWD/Aitalk/libs/x64


unix:!macx: LIBS += -L/lib/x86_64-linux-gnu/ -ldl -ludev

unix:!macx: LIBS += -L/usr/lib/x86_64-linux-gnu/  -lasound -lv4l2

unix:!macx: LIBS += -L$$PWD/maxtron_cap/lib/x64/ -lMWCapture

INCLUDEPATH += $$PWD/maxtron_cap/lib/x64
DEPENDPATH += $$PWD/maxtron_cap/lib/x64



